summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-08-07 23:09:22 +0200
committerThomas Deutschmann <whissi@gentoo.org>2018-08-07 23:17:25 +0200
commit2f3b1798c03729be144d39c1b8d336f077db2e51 (patch)
treecdd0cb37313640cee5c5111b2f4f0540b99e2398
parent2018-07-11-portage-sync-allow-hardlinks: Add (diff)
downloadgentoo-news-2f3b1798c03729be144d39c1b8d336f077db2e51.tar.gz
gentoo-news-2f3b1798c03729be144d39c1b8d336f077db2e51.tar.bz2
gentoo-news-2f3b1798c03729be144d39c1b8d336f077db2e51.zip
2018-08-07-openssh-ldap-migration: add
Bug: https://bugs.gentoo.org/658044
-rw-r--r--2018-08-07-openssh-ldap-migration/2018-08-07-openssh-ldap-migration.en.txt17
1 files changed, 17 insertions, 0 deletions
diff --git a/2018-08-07-openssh-ldap-migration/2018-08-07-openssh-ldap-migration.en.txt b/2018-08-07-openssh-ldap-migration/2018-08-07-openssh-ldap-migration.en.txt
new file mode 100644
index 0000000..d3def75
--- /dev/null
+++ b/2018-08-07-openssh-ldap-migration/2018-08-07-openssh-ldap-migration.en.txt
@@ -0,0 +1,17 @@
+Title: Migration required for OpenSSH with LDAP
+Author: Thomas Deutschmann <whissi@gentoo.org>
+Posted: 2018-08-07
+Revision: 1
+News-Item-Format: 2.0
+Display-If-Installed: net-misc/openssh
+
+If your sshd authenticates against LDAP, you have to migrate your
+current setup to a new one using sshd's "AuthorizedKeysCommand" option and
+a wrapper provided by packages like the new sys-auth/ssh-ldap-pubkey or
+sys-auth/sakcl because beginning with net-misc/openssh-7.7_p1, OpenSSH-LPK
+patch set is deprecated and no longer applies.
+
+We have created a short migration guide in the Wiki [1] for more details.
+
+
+[1] https://wiki.gentoo.org/wiki/SSH/LDAP_migration